From 09c947262350231868608e3e30b03cfdc1230b25 Mon Sep 17 00:00:00 2001
From: Dash Santosh <dash.sathyanarayanan@multicorewareinc.com>
Date: Tue, 10 Sep 2024 20:29:20 +0530
Subject: [PATCH] Framethreads tuning for Windows ARM devices

---
 source/common/threadpool.cpp | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/source/common/threadpool.cpp b/source/common/threadpool.cpp
index 91e82a24e..9c27be783 100644
--- a/source/common/threadpool.cpp
+++ b/source/common/threadpool.cpp
@@ -669,7 +669,11 @@ void ThreadPool::getFrameThreadsCount(x265_param* p, int cpuCount)
     else if (cpuCount >= 16)
         p->frameNumThreads = 4; 
     else if (cpuCount >= 8)
+#if _WIN32 && X265_ARCH_ARM64
+        p->frameNumThreads = cpuCount;
+#else
         p->frameNumThreads = 3;
+#endif
     else if (cpuCount >= 4)
         p->frameNumThreads = 2;
     else
-- 
2.43.0.windows.1

